
/*
 * GLOBALS.C
 *
 *      (C)Copyright 1987 by Matthew Dillon, All Rights Reserved
 */

#include "defs.h"


ED *Ep;                 /* Current Window               */
MLIST DBase;            /* Doubly linked list of Files  */

char    Nsu;            /* Used in formatter to disable screen updates  */
char    Msgchk;         /* Force message queue check for break          */
ubyte   CtlC;           /* Keycode for 'c'                              */
char    Savetabs;       /* SaveTabs mode?                               */
char    memoryfail;     /* out of memory flag                           */
ubyte   Deline[256];    /* last deleted line                            */
ubyte   Current[256];   /* Current Line buffer and length               */
ubyte   Space[32] = { 32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,
                    32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32 };
short   Clen;
char    *Partial;       /* Partial command line when executing ESCIMM   */
char    *String;        /* String Capture variable                      */
short   Pagejump;       /* % to jump in page */
char    NoSel;          /* don't select window in ping/pong */
char    NewDME;         /* This is a newly created port/win */

char    RxBlock;        /* block non-rexx stuff */

char    Comlinemode;
char    Abortcommand;

char    Blocktype = BLOCK_LINE;
char    Blockempty = 1;
long    BSline = -1;
long    BEline = -1;
short   BSchar = -1;
short   BEchar = -1;
long    initialBSline;
long    initialBSchar;

char    Marking = 0;        /* We're just marking a block */
char    FlushMem = 0;       /* Flush memory after freeing memory */
char    UpdateTitle = 1;    /* Update window title when scrolling */
char    ProgressWindow = 1; /* Display progress window on long operations */

int     DefaultMargin = 80; /* Defaults for left and right margin for */
int     DefaultParcol = 0;  /* wordwrap and reformat                  */

ED      *BEp;

